# IDVDImage Interface Reference

The IDVDImage interface represents a file containing the image of the DVD or CD disk. More...

List of all members.

## Public Attributes
readonly attribute uuid | id
| UUID of the CD/DVD image.
readonly attribute wstring | filePath
| Full file name of the CD/DVD image.
readonly attribute boolean | accessible
| Whether the CD/DVD image is currently accessible or not.
readonly attribute unsigned long long | size
| Size of the ISO image in bytes.

## Detailed Description

The IDVDImage interface represents a file containing the image of the DVD or CD disk.

### Image Accessibility

The accessible attribute of the image object defines the accessibility state of the image file. If the value of this attribute is `false` then some image attributes may contain invalid or outdated values (for example, the the image file size) until a new accessibility check is done that returns `true`.

Note:
  Because of the possible slowness of the accessibility check, it is not implicitly performed upon the VirtualBox server startup (to prevent the application freeze). In partcular, this means that if you try to read image properties that depend on the accessibility state without first reading the value of the accessible attribute and ensuring it's value is `true`, you will get wrong (zero) values.

Interface ID:
  `{140FFF03-E479-4194-8562-ABC4F8171009}`

## Member Data Documentation

readonly attribute uuid IDVDImage::id

UUID of the CD/DVD image.

readonly attribute wstring IDVDImage::filePath

Full file name of the CD/DVD image.

readonly attribute boolean IDVDImage::accessible

Whether the CD/DVD image is currently accessible or not.

The image, for example, can be unaccessible if it is placed on a network share that is not available by the time this property is read.

The accessibility check is performed automatically every time this attribute is read. You should keep it in mind that this check may be slow and can block the calling thread for a long time (for example, if the network share where the image is located is down).

The following attributes of the image object are considered to be invalid when this attribute is `false`:

- size

readonly attribute unsigned long long IDVDImage::size

Size of the ISO image in bytes.